]> Savannah Git Hosting - gnulib.git/commitdiff
fzprintf-gnu: Add tests.
authorBruno Haible <bruno@clisp.org>
Sun, 30 Jun 2024 20:56:15 +0000 (22:56 +0200)
committerBruno Haible <bruno@clisp.org>
Sun, 30 Jun 2024 20:56:15 +0000 (22:56 +0200)
* tests/test-fzprintf-gnu.c: New file, based on
tests/test-fprintf-gnu.c.
* tests/test-fzprintf-gnu.sh: New file, based on
tests/test-fprintf-gnu.sh.
* modules/fzprintf-gnu-tests: New file.

ChangeLog
modules/fzprintf-gnu-tests [new file with mode: 0644]
tests/test-fzprintf-gnu.c [new file with mode: 0644]
tests/test-fzprintf-gnu.sh [new file with mode: 0755]

index e2efc8327ad5eebf03314a26d4475b26f5cace7d..0d1337af30b946502fcffa21a832de83aeb676a9 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,12 @@
 2024-06-30  Bruno Haible  <bruno@clisp.org>
 
+       fzprintf-gnu: Add tests.
+       * tests/test-fzprintf-gnu.c: New file, based on
+       tests/test-fprintf-gnu.c.
+       * tests/test-fzprintf-gnu.sh: New file, based on
+       tests/test-fprintf-gnu.sh.
+       * modules/fzprintf-gnu-tests: New file.
+
        fzprintf-gnu: New module.
        * modules/fzprintf-gnu: New file.
 
diff --git a/modules/fzprintf-gnu-tests b/modules/fzprintf-gnu-tests
new file mode 100644 (file)
index 0000000..8ab6bdc
--- /dev/null
@@ -0,0 +1,14 @@
+Files:
+tests/test-fzprintf-gnu.sh
+tests/test-fzprintf-gnu.c
+tests/test-fprintf-gnu.h
+tests/test-printf-gnu.output
+tests/macros.h
+
+Depends-on:
+
+configure.ac:
+
+Makefile.am:
+TESTS += test-fzprintf-gnu.sh
+check_PROGRAMS += test-fzprintf-gnu
diff --git a/tests/test-fzprintf-gnu.c b/tests/test-fzprintf-gnu.c
new file mode 100644 (file)
index 0000000..5acd8dd
--- /dev/null
@@ -0,0 +1,37 @@
+/* Test of POSIX and GNU compatible fzprintf() function.
+   Copyright (C) 2007-2024 Free Software Foundation, Inc.
+
+   This program is free software: you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation, either version 3 of the License, or
+   (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
+
+/* Written by Bruno Haible <bruno@clisp.org>, 2007.  */
+
+#include <config.h>
+
+#include <stdio.h>
+
+#include <stdarg.h>
+#include <stddef.h>
+#include <string.h>
+
+#include "macros.h"
+
+#define RETTYPE off64_t
+#include "test-fprintf-gnu.h"
+
+int
+main (int argc, char *argv[])
+{
+  test_function (fzprintf);
+  return test_exit_status;
+}
diff --git a/tests/test-fzprintf-gnu.sh b/tests/test-fzprintf-gnu.sh
new file mode 100755 (executable)
index 0000000..668ecdc
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' HUP INT QUIT TERM
+
+tmpfiles="$tmpfiles t-fzprintf-gnu.tmp t-fzprintf-gnu.out"
+${CHECKER} ./test-fzprintf-gnu${EXEEXT} > t-fzprintf-gnu.tmp || exit 1
+LC_ALL=C tr -d '\r' < t-fzprintf-gnu.tmp > t-fzprintf-gnu.out || exit 1
+
+: "${DIFF=diff}"
+${DIFF} "${srcdir}/test-printf-gnu.output" t-fzprintf-gnu.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result